// Persistence of Vision Ray Tracer Scene Description File
// File: CalcDreamSpace.inc
// Vers: 3.5
// Desc: Space portion of Calculate Dreams
// Date: 8/26/2004
// Auth: Ray Benjamin

// Persistence of Vision Ray Tracer Scene Description File
// File: CalculatedDreams.pov
// Vers: 3.5
// Desc: Basic Scene Example
// Date: 8/18/2004
// Auth: Ray Benjamin
//




#declare Saturn_R = 3000*ft;

#include "Saturn.inc"

#declare Saturn_Pos = <4000*ft, 2000*ft, 15000*ft>;

#if (Show_Ship)
  #include "SpaceShip.inc"
#end
#if (Show_Tug)
  #include "SpaceTug.inc"
#end

//light_group {
// ----------- Scene -----------------------

  // Sun
  
  light_source { <-10000*ft, 1000*ft, 1000*ft> color rgb 1.0 parallel 
    rotate -120*y
  }
  
  // fill light
  //light_source { <20*ft,10*ft,-100*ft> color White }

  object { Saturn rotate <-10,30,25.3> rotate -93*y translate Saturn_Pos}
  
  // Ship Being Used
  #if (Show_Ship)
    object {Ship scale 1/Ship_Scale_Factor rotate -30*x rotate 15*y translate <3*ft,3*ft,4*ft>} // <3.5*ft, 3*ft, 4*ft>
  #end
  #if (Show_Tug)
    #declare Space_Tug_1 = object {
      // Upper Right
      #local Arm1 = Make_SpaceTug_Arm(
      <0,0,0>, // wrist
      <0,-50,0>, // elbow
      <0,-40,0>  // shoulder
      )
      // Upper Left
      #local Arm2 = Make_SpaceTug_Arm(
      <0,0,0>, // wrist
      <0,90,0>, // elbow
      <0,0,0>  // shoulder
      )
      // Lower Right
      #local Arm3 = Make_SpaceTug_Arm(
      <0,0,0>, // wrist
      <0,-90,0>, // elbow
      <0,0,0>  // shoulder
      )
      // Lower Left
      #local Arm4 = Make_SpaceTug_Arm(
      <0,0,0>, // wrist
      <0,90,0>, // elbow
      <0,0,0>  // shoulder
      )
      Make_SpaceTug(Arm1,Arm2,Arm3,Arm4)
    }
     
    #local Wrist_X_Angle = 34;
    #local Wrist_Y_Angle = 10; // 9.25
    #local Wrist_Z_Angle = 0;
    
    #declare Space_Tug_2 = object {
      // Upper Right
      #local Arm1 = Make_SpaceTug_Arm(
      <-Wrist_X_Angle,-Wrist_Y_Angle,Wrist_Z_Angle>, // wrist
      <0,-50,31>, // elbow
      <0,0,-50>  // shoulder
      )
      // Upper Left
      #local Arm2 = Make_SpaceTug_Arm(
      <Wrist_X_Angle,Wrist_Y_Angle,Wrist_Z_Angle>, // wrist
      <0,50,31>, // elbow
      <0,0,-50>  // shoulder
      )
      // Lower Right
      #local Arm3 = Make_SpaceTug_Arm(
      <Wrist_X_Angle,-Wrist_Y_Angle,Wrist_Z_Angle>, // wrist
      <0,-50,-31>, // elbow
      <0,0,50>  // shoulder
      )
      // Lower Left
      #local Arm4 = Make_SpaceTug_Arm(
      <-Wrist_X_Angle,Wrist_Y_Angle,Wrist_Z_Angle>, // wrist
      <0,50,-31>, // elbow
      <0,0,50>  // shoulder
      )
      Make_SpaceTug(Arm1,Arm2,Arm3,Arm4)
    } 
 
  
    //object {Space_Tug_1 scale 1/Ship_Scale_Factor rotate 5*z rotate -10*y  translate <-1*in,12*in,-10*in>}
    
    // Space Tug and Cargo
    union {
      #local RealLights = true;
      #local Cargo = MakeCargo("He3DecalFull.png",3,RealLights)
      object {Space_Tug_2 rotate 0*y}
      object {Cargo translate -Cargo_Container_L/2*x rotate 90*y translate <(56*ft + 1*inch),0*ft,-Cargo_Container_L>}
      object {ROAM_Craft rotate <-2,0,0> translate <25*ft, 3*ft, Cargo_Container_L + 20*ft>}
      scale 1/Ship_Scale_Factor
      
      rotate 180*y
      rotate -10*z
      //rotate -25*y
      rotate 10*y
      //translate <7*inch,15*inch,-6*inch>
      translate <7*inch,14*inch,-6*inch>
    }
    /*
    object {Space_Tug_2 scale 1/Ship_Scale_Factor 
      rotate 180*y
      rotate 40*z
      rotate -25*y
      translate <7*inch,16*inch,-6*inch>
    }
    */
  #end
  
  //object {Cargo_Train translate <100*ft,0,100*ft>}
  
//} // Space Scene light group

