// Persistence of Vision Ray Tracer Scene Description File
// File: Exit_Sign.inc
// Vers: 3.5
// Desc: Exit_Sign
// Date: 9/15/2004
// Auth: Ray Benjamin
//

#ifndef (__exit_sign__)
  #declare __exit_sign__ = 1;


#ifndef (inch)
  #declare inch = 1;
  #declare in = inch;
#end
#ifndef (foot)
  #declare foot = 12;
  #declare ft = foot;
#end
#ifndef (cm)
  #declare cm = 0.393701*inch;
  #declare m = 100*cm;
  #declare km = 1000*m;
  #declare mm = cm/10;
#end

#local Letter_E = prism {
  linear_sweep
  0,
  1,
  13, // number of points
  <0,0>,<3,0>,<3,1>,<1,1>,<1,2>,<2,2>,<2,3>,<1,3>,<1,4>,<3,4>,<3,5>,<0,5>,<0,0>
  rotate -90*x
}

#local Letter_X = prism {
  linear_sweep
  0,
  1,
  13,
  <0,0>, <1,0>, <2,1.75>, <3,0>, <4,0>, <2.5,2.5>, <4,5>, <3,5>, <2,3.25>, <1,5>, <0,5>, <1.5,2.5>,
  <0,0>
  rotate -90*x
}

#local Letter_I = prism {
  linear_sweep
  0,
  1,
  5
  <0,0>, <1,0>, <1,5>, <0,5>,<0,0>
  rotate -90*x
}

#local Letter_T = prism {
  linear_sweep
  0,
  1,
  9
  <1,0>,<2,0>,<2,4>,<3,4>,<3,5>,<0,5>,<0,4>,<1,4>,<1,0>
  rotate -90*x
}

#local Arrow = prism {
  linear_sweep
  0,
  1,
  8
  <0,1>, <13,1>, <13,.5>, <14,1.5>, <13,2.5>, <13,2>, <0,2>,<0,1>
  rotate -90*x
}

#declare T_Exit_Sign = texture { pigment {Red}}
#declare T_Exit_Letters = texture {
  pigment {White}
}

#local Text_Box_W = 16;
#local Text_Box_H = 9;
#local Text_Box_D = 1/8;
#local Border_Width = 1;
#local Border_Box_W = Text_Box_W + Border_Width;
#local Border_Box_H = Text_Box_H + Border_Width;
#local Border_Box_D = 1; 
#declare Exit_Sign = union {
  // cover plate
  difference {
    box {<0,0,-Text_Box_D/2>, <Text_Box_W,Text_Box_H,Text_Box_D/2> texture {T_Exit_Sign}}
    union {
      union {
        object {Letter_E}
        object {Letter_X translate 4*x}
        object {Letter_I translate 9*x}
        object {Letter_T translate 11*x}
        translate 3*y
      } // union
      object {Arrow}
      texture {T_Exit_Letters}
      translate <1,0,.5>
    } // union
    translate <Border_Width/2,Border_Width/2,0>
  } // union
  box {<0,0,0>, <Border_Box_W,Border_Box_H, Border_Box_D> texture {T_Exit_Letters}}
  translate <-Border_Box_W/2,0,0>
}


////////----------------------------------------------------
#end // ifndef __exit_sign__