// Persistence of Vision Ray Tracer Scene Description File
// File: Wedding_Picture.inc
// Vers: 3.5
// Desc: Wedding_Picture
// Date: 9/13/2004
// Auth: Ray Benjamin
//

#ifndef (__wedding_picture__)
  #declare __wedding_picture__ = 1;


#ifndef (inch)
  #declare inch = 1;
  #declare in = inch;
#end
#ifndef (foot)
  #declare foot = 12;
  #declare ft = foot;
#end
#ifndef (cm)
  #declare cm = 0.393701*inch;
  #declare m = 100*cm;
  #declare km = 1000*m;
  #declare mm = cm/10;
#end

//////////////// Wedding Picture ////////////////
#declare Wedding_Pic_W = 2.23*inch;
#declare Wedding_Pic_H = 2.63*inch;
#declare Wedding_Pic_D = .1*inch;
#declare T_Wedding_Picture = texture {
  pigment {
    image_map {
      jpeg "wedding.jpg" // the file to read (iff/tga/gif/png/jpeg/tiff/sys)
      map_type 0        // 0=planar, 1=spherical, 2=cylindrical, 5=torus
      interpolate 2     // 0=none, 1=linear, 2=bilinear, 4=normalized distance
      // once           // for no repetitive tiling
      // [filter N V]   // N=all or color index # (0...N), V= value (0.0...1.0)
      // [transmit N V] // N=all or color index # (0...N), V= value (0.0...1.0)
      // [use_color | use_index]
    } // image_map
    scale <Wedding_Pic_W, Wedding_Pic_H, Wedding_Pic_D>
    translate .5*mm*y
  }
  finish {
    Glossy
    ambient 1
    //conserve_energy
  }
}

#declare Wedding_Picture = union {
  #local picture_scale = 3;
  #local picture = box { 0, <Wedding_Pic_W,Wedding_Pic_H,Wedding_Pic_D>
    texture {T_Wedding_Picture}
    scale <picture_scale,picture_scale,1>
  }
  // frame
  #local Frame_T = .5*inch; // frame thickness
  #local Frame_D = .25*inch; // frame depth
  #local Frame_H = Wedding_Pic_H * picture_scale + Frame_T*2;
  #local Frame_W = Wedding_Pic_W * picture_scale;
  #local V_Frame = box {0, <Frame_T,Frame_H,Frame_D>}
  #local H_Frame = box {0, <Frame_W,Frame_T,Frame_D>}
  union {
    object {H_Frame}
    object {H_Frame translate <Frame_T,(Frame_H - Frame_T),0>}
    object {V_Frame}
    object {V_Frame translate <Frame_W,0,0>}
    texture {T_Silver_3D}
  }
  union {
    object {picture}
    // glass
    #local Glass_D = 1*mm;
    /*
    box {0, <Wedding_Pic_W*picture_scale, Wedding_Pic_H*picture_scale, -(Glass_D+1*mm)>
      hollow
      no_shadow
      texture {T_Glass3}
      //finish {F_Glass1}
      interior { I_Glass3}
    }
    */
    translate <Frame_T,Frame_T,.125*inch>
  }
  rotate 20*x
}



////////----------------------------------------------------
#end // ifndef __wedding_picture__