// Persistence of Vision Ray Tracer Scene Description File
// File: .pov
// Vers: 3.5
// Desc: Utilities for setting up a grid and axis
// Date: March 2004
// Auth: Ray Benjamin

#ifndef (__GRID_INC__)
  #declare __GRID_INC__ = 1;
  
// Grid Stuff
#declare Axis = union {
  #local Length = 50;
  #local A_Radius = .1;
  #local Marker_Radius = .2;
  cylinder {<-Length,0,0>,<Length,0,0>, A_Radius }
  #local inc = 1;
  #while (inc < Length)
    #if (mod(inc,10) = 0)
      #local scaleFactor = <.5,2,2>;
    #else
      #local scaleFactor = <.5,1,1>; 
    #end // if
    sphere { <inc,0,0>, Marker_Radius scale scaleFactor }
    sphere { <-inc,0,0>, Marker_Radius scale scaleFactor }
    #local inc = inc + 1;
  #end // while  
}

#declare XYZ_Axis = union {
  // X Axis
  object {Axis pigment {Blue}}
  // Y Axis
  object {Axis rotate 90*y rotate 90*x pigment {Red}}
  // Z Axis  
  object {Axis rotate 90*y pigment {Yellow}}
}

#end //ifndef