// Persistence of Vision Ray Tracer Scene Description File
// File: office_desk.inc
// Vers: 3.5
// Desc: Office Desk
// Date: 8/20/2004
// Auth: Ray Benjamin


///////////////////
// Desk
///////////////////

#ifndef(Show_DeskTop)
  #declare Show_DeskTop = true;
#end

#local Leg_Width = 1*inch;
#local Leg_Depth = 3*inch;
#local Leg_Height = 24*inch;
#local Lower_Leg_Length = 30*inch;

#local Footer_Radius = .5*inch;

#local Footer = union {
  cylinder {<0,0,0>, <0,.25*inch,0>, Footer_Radius}
  torus { Footer_Radius-1/8*inch, 1/4*inch scale <1,.5,1> }
  texture {T_Chrome_2D}
}

#declare Desk_Leg = union {
  union {
    Round_Box_Merge(<0,0,0>,<Leg_Width,Leg_Depth,Lower_Leg_Length>,0.1*inch) // lower leg section
    object {
      Round_Box_Merge(<0,0,0>,<Leg_Width,Leg_Height,Leg_Depth>,0.1*inch)
      translate <0,Leg_Depth,6*inch>
    }
    object {
      Round_Box_Merge(<0,0,0>,<Leg_Width,Leg_Height,Leg_Depth>,0.1*inch)
      translate <0,Leg_Depth,18*inch>
    }
    texture { pigment { Gray20 } }
    normal { bumps .1 }
    translate .25*inch*y
  }
  object {Footer translate <Leg_Width/2,0,(Lower_Leg_Length - 2*inch)>}
  object {Footer translate <Leg_Width/2,0,2*inch>}
}

#declare Desk_Width = 60*inch;
#declare Desk_Depth = 36*inch;
#declare Desk_Height = Leg_Height + Leg_Depth+1*inch;
#local Leg_Inset = 6*inch;

#declare Desk = union {
  #if (Show_DeskTop)
    object {Round_Box_Merge(<0,0,0>,<Desk_Width,1*inch,Desk_Depth>,0.1*inch) texture {T_Wood3 scale 1*inch} translate Desk_Height*y}
  #end
  object {Desk_Leg translate Leg_Inset*x} // right leg
  object {Desk_Leg translate (Desk_Width-Leg_Inset)*x} // left leg
}